Get a search log
curl --request GET \
--url https://api.spidra.io/api/search-logs/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spidra.io/api/search-logs/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spidra.io/api/search-logs/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.spidra.io/api/search-logs/{uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.spidra.io/api/search-logs/{uuid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.spidra.io/api/search-logs/{uuid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.spidra.io/api/search-logs/{uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"id": 327,
"uuid": "e6e7bea9-99ab-49a5-968a-6895f1ed0af8",
"parent_uuid": null,
"user_uuid": "4aeefb9f-30c3-41fb-886a-10245923dc31",
"status": "success",
"started_at": "2026-10-25T03:21:36.000Z",
"finished_at": "2026-10-25T03:21:40.000Z",
"query": "best espresso machine",
"sources": "web",
"country": null,
"include_domains": null,
"exclude_domains": null,
"scrape_content_enabled": 0,
"scrape_max_results": null,
"result_limit": 3,
"page": 1,
"time_range": null,
"filetype": null,
"result_data": {
"web": [
{
"title": "The 16 Best Espresso Machines of 2026, Tested & Reviewed",
"url": "https://www.seriouseats.com/best-espresso-machines-5185482",
"description": "We tested 41 home espresso machines to find which 16 pulled the best shots ...",
"position": 1
},
{
"title": "Best Espresso Machines 2026 | Tested - Forbes Vetted",
"url": "https://www.forbes.com/sites/forbes-personal-shopper/article/best-espresso-machine/",
"description": "For devotees of handcrafted café beverages, investing in an espresso machine can save both time and money ...",
"position": 2
},
{
"title": "The 10 Best Espresso Machines of 2026, Tested & Reviewed",
"url": "https://www.foodandwine.com/lifestyle/kitchen/best-espresso-machines",
"description": "The 10 Best Espresso Machines for Every Type of Coffee Drinker, According to Our Tests ...",
"position": 3
}
]
},
"error_message": null,
"latency_ms": 3428,
"credits_used": 1,
"scraping_channel": "api",
"created_at": "2026-10-25T03:21:36.000Z"
}
}Logs
Get a search log
Returns one past search with its settings, results and credits. Further pages you loaded with pageTokens are merged into the first page’s log, and opening a further page’s log returns that same merged view.
GET
/
search-logs
/
{uuid}
Get a search log
curl --request GET \
--url https://api.spidra.io/api/search-logs/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spidra.io/api/search-logs/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spidra.io/api/search-logs/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.spidra.io/api/search-logs/{uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.spidra.io/api/search-logs/{uuid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.spidra.io/api/search-logs/{uuid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.spidra.io/api/search-logs/{uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"id": 327,
"uuid": "e6e7bea9-99ab-49a5-968a-6895f1ed0af8",
"parent_uuid": null,
"user_uuid": "4aeefb9f-30c3-41fb-886a-10245923dc31",
"status": "success",
"started_at": "2026-10-25T03:21:36.000Z",
"finished_at": "2026-10-25T03:21:40.000Z",
"query": "best espresso machine",
"sources": "web",
"country": null,
"include_domains": null,
"exclude_domains": null,
"scrape_content_enabled": 0,
"scrape_max_results": null,
"result_limit": 3,
"page": 1,
"time_range": null,
"filetype": null,
"result_data": {
"web": [
{
"title": "The 16 Best Espresso Machines of 2026, Tested & Reviewed",
"url": "https://www.seriouseats.com/best-espresso-machines-5185482",
"description": "We tested 41 home espresso machines to find which 16 pulled the best shots ...",
"position": 1
},
{
"title": "Best Espresso Machines 2026 | Tested - Forbes Vetted",
"url": "https://www.forbes.com/sites/forbes-personal-shopper/article/best-espresso-machine/",
"description": "For devotees of handcrafted café beverages, investing in an espresso machine can save both time and money ...",
"position": 2
},
{
"title": "The 10 Best Espresso Machines of 2026, Tested & Reviewed",
"url": "https://www.foodandwine.com/lifestyle/kitchen/best-espresso-machines",
"description": "The 10 Best Espresso Machines for Every Type of Coffee Drinker, According to Our Tests ...",
"position": 3
}
]
},
"error_message": null,
"latency_ms": 3428,
"credits_used": 1,
"scraping_channel": "api",
"created_at": "2026-10-25T03:21:36.000Z"
}
}Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The log's uuid from List search logs, or the logUuid from a search result. Not the search's jobId.
Was this page helpful?

